# -*- coding: utf-8 -*-
from openerp import api, models, fields

class PrintEnginePrinter(models.Model):
    _name = 'print.engine.printer'

    name = fields.Char(string='Impresora', size=35, required=True)
    is_default = fields.Boolean(string='Por defecto', default=False)
    prints_success_count = fields.Integer(string='Impresiones con éxito', default=0)
    prints_failed_count = fields.Integer(string='Impresiones fallidas', default=0)
    socket_id = fields.Many2one(comodel_name='print.engine.socket')

    @api.onchange('is_default')
    def update_defaults(self):
        printer_ids = self.search([('id', '!=', self._origin.id), ('socket_id.user_id', '=', self.env.user.id)])

        for printer in printer_ids:
            printer.write({
                'is_default': False
            })
   